package org.omg.CosNaming.NamingContextExtPackage;

import org.omg.CORBA.portable.InputStream;
import org.omg.CORBA.ORB;
import org.omg.CORBA.portable.OutputStream;
import org.omg.CORBA.Any;
import org.omg.CORBA.TypeCode;

public abstract class StringNameHelper
{
    private static String _id;
    private static TypeCode __typeCode;
    
    public StringNameHelper() {
    }
    
    public static void insert(Any any, String s) {
        OutputStream create_output_stream = any.create_output_stream();
        any.type(type());
        write(create_output_stream, s);
        any.read_value(create_output_stream.create_input_stream(), type());
    }
    
    public static String extract(Any any) {
        return read(any.create_input_stream());
    }
    
    public static synchronized TypeCode type() {
        if (StringNameHelper.__typeCode == null) {
            StringNameHelper.__typeCode = ORB.init().create_string_tc(0);
            StringNameHelper.__typeCode = ORB.init().create_alias_tc(id(), "StringName", StringNameHelper.__typeCode);
        }
        return StringNameHelper.__typeCode;
    }
    
    public static String id() {
        return StringNameHelper._id;
    }
    
    public static String read(InputStream inputStream) {
        return inputStream.read_string();
    }
    
    public static void write(OutputStream outputStream, String s) {
        outputStream.write_string(s);
    }
    
    static {
        StringNameHelper._id = "IDL:omg.org/CosNaming/NamingContextExt/StringName:1.0";
        StringNameHelper.__typeCode = null;
    }
}
